Page MenuHomePhabricator

Bug in setting red links with MW 1.24
Closed, ResolvedPublic

Description

Call to undefined method TitleValue::getLinkURL() at /srv/mediawiki/tags/2019-06-06_14:06:09/extensions/PageForms/includes/PF_FormLinker.php:151

This is breaking multiple pages at translatewiki.net.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
ResolvedYaron_Koren

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2019, 2:14 PM
Nikerabbit triaged this task as Unbreak Now! priority.Jun 6 2019, 2:14 PM
Nikerabbit added a subscriber: Yaron_Koren.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 6 2019, 2:14 PM

Do you know why this problem is showing up now? Was there a recent upgrade of Page Forms or MediaWiki? That particular code hasn't changed in a long time.

Also, what's a page where I can see this happening?

Special:RecentChanges for example. And yes I did update MediaWiki just before this. It's expecting Title but getting TitleValue. I haven't checked where it gets the $target param though.

Yaron_Koren renamed this task from Call to undefined method TitleValue::getLinkURL() to Bug in setting red links with MW 1.24.Jun 7 2019, 2:52 PM

Sorry about that; I just checked in what I think is a fix for the problem.

Is this meant to be an issue with MW1.34?

Sorry about that; I just checked in what I think is a fix for the problem.

That's likely https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PageForms/+/515070/ (see https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines how to create automatic notifications in Phabricator about patches in Gerrit).

And https://translatewiki.net/wiki/Special:RecentChanges seems to work for me...

@Nikerabbit: Any update? Still an issue with that patch linked above?

If I remember correctly I made a local workaround back when I reported this issue and haven't been able to do full updates after that *cough* DB_SLAVE *cough*. From what I can see the patch likely solves this.

As the patch is merged, should this task get resolved?

Yaron_Koren closed this task as Resolved.Jun 30 2019, 3:00 AM
Yaron_Koren claimed this task.

I was hoping to get confirmation that the fix actually works, but sure - no need to draw out this discussion any more. Feel free to re-open if this still an issue, of course.